function resize(o) {
	if (o.width>580) {
	o.style.width='580px';
	o.style.height='auto';
	}
}
function CheckguestBookForm()
{
	if(document.formguestBook.Nickname.value=="")
	{
		alert("请输入留言者名字！");
		document.formguestBook.Nickname.focus();
		return false;
	}
	if(document.formguestBook.title.value=="")
	{
		alert("请输入主题！");
		document.formguestBook.title.focus();
		return false;
	}
	if(document.formguestBook.tel.value == "")
	{
		alert("请输入留言者电话！");
		document.formguestBook.tel.focus();
		return false;
	}
	if(document.formguestBook.content.value == "")
	{
		alert("请输入留言内容！");
		document.formguestBook.content.focus();
		return false;
	}
	if(document.formguestBook.check.value == "")
	{
		alert("请输入验证码！");
		document.formguestBook.check.focus();
		return false;
	}
}
function ckStudent()
{
	if(document.studentfrom.student_name.value=="")
	{
		alert("请输入姓名！");
		document.studentfrom.student_name.focus();
		return false;
	}
	if(document.studentfrom.student_bianhao.value=="")
	{
		alert("请输入学号！");
		document.studentfrom.student_bianhao.focus();
		return false;
	}
}
function ckBaoming()
{
	if(document.baomingfrom.xingming.value=="")
	{
		alert("请输入姓名！");
		document.baomingfrom.xingming.focus();
		return false;
	}
	if(document.baomingfrom.tel1.value=="")
	{
		alert("请输入手机！");
		document.baomingfrom.tel1.focus();
		return false;
	}
}
function objSP_Article() {this.ImgUrl="";} //this.LinkUrl=""; this.Title="";}
function SlidePic_Article(_id) {this.ID=_id; this.Width=0;this.Height=0; this.TimeOut=5000; this.Effect=23; this.TitleLen=0; this.PicNum=-1; this.Img=null; this.Url=null; this.Title=null; this.AllPic=new Array(); this.Add=SlidePic_Article_Add; this.Show=SlidePic_Article_Show; this.LoopShow=SlidePic_Article_LoopShow;}
function SlidePic_Article_Add(_SP) {this.AllPic[this.AllPic.length] = _SP;}
function SlidePic_Article_Show() {
  if(this.AllPic[0] == null) return false;
  document.write("<div align='center'><a id='Url_" + this.ID + "' target='_blank'><img id='Img_" + this.ID + "' style='width:" + this.Width + "px; height:" + this.Height + "px; filter: revealTrans(duration=2,transition=23);' src='javascript:null' border='0'></a>");
  if(this.TitleLen != 0) document.write("<br><span id='Title_" + this.ID + "'></span></div>");
  this.Img = document.getElementById("Img_" + this.ID);
  this.Url = document.getElementById("Url_" + this.ID);
//  this.Title = document.getElementById("Title_" + this.ID);
  this.LoopShow();
}
function SlidePic_Article_LoopShow() {
  if(this.PicNum<this.AllPic.length-1) this.PicNum++ ; 
  else this.PicNum=0; 
  this.Img.filters.revealTrans.Transition=this.Effect; 
  this.Img.filters.revealTrans.apply(); 
  this.Img.src=this.AllPic[this.PicNum].ImgUrl;
  this.Img.filters.revealTrans.play();
  this.Url.href=this.AllPic[this.PicNum].LinkUrl;
  if(this.Title) this.Title.innerHTML="<a href="+this.AllPic[this.PicNum].LinkUrl+" target=_blank>"+this.AllPic[this.PicNum].Title+"</a>";
  this.Img.timer=setTimeout(this.ID+".LoopShow()",this.TimeOut);
}